# eric7.Preferences.ConfigurationPages.NetworkPage

Module implementing the Network configuration page.

### Global Attributes

None

### Classes

NetworkPage | Class implementing the Network configuration page.

### Functions

create | Module function to create the configuration page.

## NetworkPage

Class implementing the Network configuration page.

### Derived from

ConfigurationPageBase, Ui_NetworkPage

### Class Attributes

None

### Class Methods

None

### Methods

NetworkPage | Constructor
on_clearProxyPasswordsButton_clicked | Private slot to clear the saved HTTP(S) proxy passwords.
on_ftpProxyTypeCombo_currentIndexChanged | Private slot handling the selection of a proxy type.
save | Public slot to save the Networj configuration.
setMode | Public method to perform mode dependent setups.

### Static Methods

None

#### NetworkPage (Constructor)

NetworkPage(configDialog)

Constructor

configDialog
  reference to the configuration dialog (ConfigurationDialog)

#### NetworkPage.on_clearProxyPasswordsButton_clicked

on_clearProxyPasswordsButton_clicked()

Private slot to clear the saved HTTP(S) proxy passwords.

#### NetworkPage.on_ftpProxyTypeCombo_currentIndexChanged

on_ftpProxyTypeCombo_currentIndexChanged(index)

Private slot handling the selection of a proxy type.

index
  index of the selected item (integer)

#### NetworkPage.save

save()

Public slot to save the Networj configuration.

#### NetworkPage.setMode

setMode(displayMode)

Public method to perform mode dependent setups.

displayMode
  mode of the configuration dialog (ConfigurationMode.DEFAULTMODE, ConfigurationMode.WEBBROWSERMODE)

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Return:
  reference to the instantiated page (ConfigurationPageBase)

Up